"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const model = require("./model");
const koa = require("./koa");
const timestamp = require("./timestamp");
const softDelete = require("./soft-delete");
const dataLevel = require("./data-level");
class NModel extends model.Model {
}
exports.NModel = NModel;
NModel.Mixin(koa.KoaMiddlewares);
NModel.Mixin(timestamp.TimestampModel);
NModel.Mixin(softDelete.SoftDeleteModel);
NModel.Mixin(dataLevel.DataLevelModel);

//# sourceMappingURL=nmodel.js.map
