import { IRouterContext } from 'koa-router';
export declare namespace filters {
    function parse(): IParamFilter;
    function extract(path: string): IParamFilter;
    function Required(val: any): any;
    function Boolean(val: any): boolean;
    function Integer(val: any): number;
    function Json(val: any): object;
    function setDefault(defaultVal: any): IParamFilter;
}
export declare type IParamFilter = (val: any, ctx?: IRouterContext) => any;
