import * as model from './model';
export declare type TimestampModelType = typeof TimestampModel;
export declare class TimestampModel extends model.Model {
    static $SCHEMA: {
        createdAt: {
            type: DateConstructor;
            default: () => number;
            index: boolean;
        };
        lastUpdateTime: {
            type: DateConstructor;
            index: boolean;
        };
    };
    createdAt: Date;
    lastUpdateTime: Date;
}
